/*
 Theme Name:   Segen Paint
 Theme URI:    https://shandykaf.com
 Description:  Kadence Child Theme
 Author:       Shandyka Febrian
 Author URI:   https://shandykaf.com
 Template:     kadence
 Version:      1.0.0
 Text Domain:  kadence-child
*/


/* BODY */

.single-content h1.elementor-heading-title,
.single-content h2.elementor-heading-title,
.single-content h3.elementor-heading-title,
.single-content h4.elementor-heading-title,
.single-content h5.elementor-heading-title,
.single-content h6.elementor-heading-title,
.single-content h1,
.single-content h2,
.single-content h3,
.single-content h4,
.single-content h5,
.single-content h6 {
	margin: 0 !important;
}

.single-content p:last-child {
	margin-bottom: 0px !important;
}

.single-content p:not(:last-child),
.jet-listing-dynamic-field__content p:not(:last-child){
	margin-bottom: 15px !important;
}

p {
	margin: 0;
}

.aspect-ratio-1-1,
.aspect-ratio-1-1 img {
	aspect-ratio: 1 / 1;
	object-fit: cover;
}

.btn-pulse a {
	animation: pulse-shadow 1.5s infinite;
}

.btn-pulse a:hover {
	animation: none;
	box-shadow: none;
}

@keyframes pulse-shadow {
	0% {
		box-shadow: 0 0 0 0px #2b3b994b;
	}

	100% {
		box-shadow: 0 0 0 20px #2b3c9900;
	}
}

body.home .btn-back {
	display: none;
}

.btn-back {
	display: flex;
	align-items: center;
	padding: 0 20px;
	border-radius: 100px;
	border-color: #e3e3e3 !important;
	background-color: #e3e3e3 !important;
	color: #313131 !important;
	font-size: 14px !important;
	font-weight: 600 !important;
	width: max-content;
	height: 40px;
}

.btn-back:hover {
	border-color: #2b5799 !important;
	background-color: #2b5799 !important;
	color: #ffffff !important;
}

.btn-back span {
	margin-left: 7px;
}

.jet-popup.jet-popup--front-mode .jet-popup__close-button {
	border-radius: 100px;
}

/* HEADER DROPDOWN */
#primary-menu {
	gap : 10px;
}
#primary-menu li a:hover {
	color : #2b5799;
}
#secondary-menu #menu-item-2079 a {
	border: 2px solid #2b5799;
    border-radius: 113px;
    height: 46px;
    width: 48px;
    text-align: center !important;
	color : #2b5799;
	padding: 7px 7px!important;
	margin-left: 10px ;
}
#secondary-menu #menu-item-2079 a:hover {
	background : #2b5799;
	color : white;
}
#primary-menu li a {
	font-size: 16px;
    font-family: 'Noto Sans';
	color : black;
    font-weight: 600;
}
#mobile-header .site-header-item .mobile-html {
	border: 2px solid #2b5799;
    border-radius: 113px;
    height: 46px;
    width: 48px;
    text-align: center !important;
	color : #2b5799;
	padding: 7px 7px!important;
	margin-left: 10px ;
}#mobile-header .site-header-item .mobile-html:hover {
	background : #2b5799;
	color : white;
}
#mobile-menu li button:focus {
	background-color: white;
	color : black !important;
	border: none !important;
}

#primary-menu .sub-menu li a {
background-color : white;
}
.header-navigation .header-menu-container ul ul li.menu-item {
	border-bottom : none !important;
}
#mobile-toggle {
	border-radius : 0;
	background-color : #f1f1f1;
	padding: 10px;
}
#mobile-toggle:focus {
	background-color : #f1f1f1 !important;
	color : black !important;
	border : none !important;
}

.btn-hide {
	display: none;
}

.komparasi-container {
	height: fit-content;
}

.btn-komparasi ul.sub-menu a span {
	display: block;
	font-size: 14px;
    font-weight: normal;
}

/* BUTTON - STICKY WHATSAPP BUTTON */

.wa-button {
	position: fixed;
	bottom: 20px;
	right: 20px;
	z-index: 999999;
}
.wa-button a {
	background: linear-gradient(to top, #29b43f, #60d36b);
	color: #fff !important;
	width: 60px;
	display: table;
	height: 60px;
	border-radius: 100%;
	position: relative;
	text-align: center;
	font-size: 35px !important;
	transition: all 0.2s ease-in-out;
	box-shadow: 0 10px 20px -10px rgba(0, 0, 0, 0.35);
	outline: none;
	text-decoration: none;
}
.wa-button a:hover {
	transform: scale(0.9);
	text-decoration: none !important;
}
.wa-button a i {
	vertical-align: middle;
	text-decoration: none;
	z-index: 888;
	display: table-cell;
	transition: all 0.2s ease-in-out;
	text-shadow: 0 2px 5px rgba(20, 113, 34, 0.5);
}
.wa-button a:hover i {
	text-shadow: 0 0 0 rgba(20, 113, 34, 0.5);
	text-decoration: none;
}


/* KOMPARASI */

.komparasi-img-slide .swiper-slide-inner img {
	aspect-ratio: 1/1;
	object-fit: cover;
}

.komparasi-sticky {
	position: sticky;
	top: 110px;
	z-index: 2;
}


/* PORTFOLIO */

.list-portfolio-img .jet-listing-dynamic-image img {
	aspect-ratio: 1/1;
	object-fit: cover;
}

.list-portfolio-desc .jet-listing-dynamic-field__content {
	display: -webkit-box;
	-webkit-line-clamp: 2;
	-webkit-box-orient: vertical;
	overflow: hidden;
	text-overflow: ellipsis;
	height: 51px;
}

.list-portfolio-desc.desc-no-gap .jet-listing-dynamic-field__content p {
	margin-bottom: 0 !important;
}

.list-all {
  	border-bottom: 1px solid #c7c7c7;
    padding-bottom: 25px;
    margin-bottom: 5px !important;
}

.list-all .jet-listing-dynamic-repeater__items {
	flex-wrap: wrap;
	row-gap: 12px;
	column-gap: 0.9%;
}

.list-all.list-column-3 .jet-listing-dynamic-repeater__item {
	flex: 1;
    flex-basis: 30%;
}

.list-all.list-column-4 .jet-listing-dynamic-repeater__item {
	flex: 1;
    flex-basis: 20%;
}

.list-all .list-size {
	flex-direction: column;
	align-items: flex-start !important;
}

.list-all .list-size .list-size-row-1 {
	display: flex;
}

.list-all .list-size .list-size-row-1 img {
	height: 20px !important;
	width: 20px !important;
	margin-top: 3px;
}

.list-all .list-size .list-size-row-1 span {
	margin-left: 10px;
}

.list-all .list-size .list-size-row-2 {
	margin-left: 30px;
	font-size: 18px;
	line-height: 18px;
	font-weight: 600;
}

.portfolio-video,
.portfolio-video .elementor-widget-container,
.portfolio-video .jet-listing-dynamic-field__content {
	height: fit-content !important;
}

.portfolio-video .jet-listing-dynamic-field__content iframe {
	width: 100%;
	height: auto;
	border-radius: 20px;
}

.portfolio-video.video-1-1 .jet-listing-dynamic-field__content iframe {
	aspect-ratio: 1/1;
}

.portfolio-video.video-9-16 .jet-listing-dynamic-field__content iframe {
	aspect-ratio: 9/16 !important;
}

.portfolio-video.video-9-16 .rll-youtube-player {
	aspect-ratio: 9/16 !important;
	width: 100%;
	padding-bottom: 100%;
    height: auto;
}

.portfolio-video.video-9-16 .rll-youtube-player img {
    height: 100% !important;
    object-fit: cover;
	border-radius: 15px;
}

.portfolio-image img {
	aspect-ratio: 1/1;
	object-fit: cover;
}

.process-video .jet-listing-dynamic-field__content iframe {
	border-radius: 20px;
}


/* CONTACT - FORM */

.contact-form .nf-form-fields-required,
.contact-form .ninja-forms-req-symbol,
.contact-form .nf-form-title {
	display: none;
}

.contact-form .nf-form-content {
	padding: 0;
}

.contact-form .nf-field-container {
	margin-bottom: 10px;
}

.contact-form .nf-form-content .label-above .nf-field-label {
	margin-bottom: 0;
	color: #09111f !important;
}

.contact-form .nf-form-content label {
	font-size: 15px;
}

.contact-form .nf-form-content input:not([type="button"]),
.contact-form .nf-form-content textarea,
.contact-form .listselect-wrap.list-select-wrap .nf-field-element>div {
	background: #ffffff;
	border: 1px solid #cfcfcf;
	border-radius: 8px;
}

.contact-form .nf-form-content textarea.ninja-forms-field {
	height: 150px;
}

.contact-form .nf-form-content input[type="submit"] {
	font-weight: 600;
	font-size: 16px;
	text-transform: uppercase;
	border: none;
	border-radius: 100px;
	padding: 0 30px;
	height: 48px;
	background-color: transparent;
	background-image: linear-gradient(90deg, #2b3c99 0%, #477ccb 100%);
	color: #ffffff !important;
}

.contact-form .nf-form-content input[type="submit"]:hover {
	color: #ffffff !important;
	background-color: transparent;
	background-image: linear-gradient(90deg, #2b3c99 0%, #2b3c99 100%);
}


/* PRODUCT */

.product-slider .slick-list.draggable {
	margin: 0 -8px;
}

.product-slider .slick-track {
	margin-left: 0;
}

.product-slider .slick-slide {
	padding: 0 8px;
}

.product-slider .slick-slide img,
.product-slider .product-title img {
	width: 100%;
	max-width: 273px;
	aspect-ratio: 1/1;
	object-fit: cover;
	border-radius: 15px;
	transition: all ease-in-out 0.2s;
}

.product-slider .slick-slide img:hover,
.product-slider .product-title img:hover {
	transform: scale(0.95);
}

.product-slider .slick-arrow.slick-disabled {
	visibility: hidden;
}

.product-slider .slick-arrow {
	z-index: 1;
	position: absolute;
    top: 48%;
	display: flex;
    justify-content: center;
    align-items: center;
	width: 40px;
	height: 40px;
	color: #09111f;
	background: #f0f4fb80;
	font-size: 18px;
	border-width: 0;
}

.product-slider .slick-arrow:hover {
	background: #f0f4fb;
}

.product-slider .arrow-prev.slick-arrow {
	left: 15px;
}

.product-slider .arrow-next.slick-arrow {
	right: 15px;
}

.product-slider .product-list .slick-slider {
	padding-bottom: 60px;
	border-bottom: 1px solid #c7c7c7;
}

.product-slider .product-header {
	padding-top: 45px;
}

.product-slider .product-header h1 {
	transition: all 0.2s ease-in-out
}

.product-slider .product-header i {
    display: flex;
    justify-content: center;
    align-items: center;
	margin-left: 15px;
	color: #2b5799;
    background-image: linear-gradient(90deg, #c7c7c7 0%, #e8e8e8 100%);
    font-size: 18px;
    width: 36px;
    height: 36px;
    border-radius: 100px;
	transition: all 0.2s ease-in-out
}

.product-slider .product-header:hover h1 {
	color: #2b5799;
}

.product-slider .product-header:hover i {
	margin-left: 10px;
    background-image: linear-gradient(90deg, #c7c7c7 0%, #c7c7c7 100%);
}

.product-slider .cat-name {
	padding-bottom: 0px;
}

.product-dicari-img .jet-listing-dynamic-image img {
    aspect-ratio: 1/1;
    object-fit: cover;
}


/* PRODUK - DICARI PORTFOLIO */

.cari-port {
	
}

/* MAP  */
.map-style .jet-listing-grid.jet-listing {
	max-height: 600px;
	overflow-y: auto;
	overflow-x: hidden;
}

.map-listing .map-label .jet-listing-dynamic-field__icon,
.map-listing .map-label .jet-listing-dynamic-link__icon {
	width: 15px;
}

.maps-layout .jet-map-listing {
	border-radius: 15px;
}

.maps-desc {
	border-bottom: unset;
    padding-bottom: 0;
    margin-bottom: 0;
}

.maps-desc .jet-listing-dynamic-repeater__item {
	
}


/* DESKTOP */
@media (min-width: 1280px) {
	.model-portfolio .jet-listing-dynamic-terms__prefix:before {
		content: "";
		height: 12px;
		width: 12px;
		background-color: #bbb;
		border-radius: 50%;
		margin-right: 20px;
		display: inline-block;
	}
}


/* TABLET */
@media (min-width: 768px) and (max-width: 1279px) {}


/* MOBILE */
@media (max-width: 767px) {

	/* BUTTON - STICKY WHATSAPP BUTTON */
	.wa-button {
		bottom: 10px;
		right: 10px;
	}

	/* PORTFOLIO */
	.list-all.list-column-3 .jet-listing-dynamic-repeater__item,
	.list-all.list-column-4 .jet-listing-dynamic-repeater__item {
		flex: 1;
    	flex-basis: 40%;
	}

	.list-all .jet-listing-dynamic-repeater__items {
		column-gap: 4.2%;
		row-gap: 24px;
	}

	.list-all .list-size .list-size-row-1 img {
		margin-top: 0;
	}

	.list-all .list-size .list-size-row-1 span {
		font-size: 12px;
		line-height: 14px;
		display: flex;
		align-items: center;
	}

	.list-all .list-size .list-size-row-2 {
		margin-bottom: -9px;
		font-size: 15px;
    	line-height: 17px;
	}

	.process-video,
	.process-video .elementor-widget-container,
	.process-video .jet-listing-dynamic-field__content {
		height: fit-content !important;
	}

	.process-video .jet-listing-dynamic-field__content iframe {
		aspect-ratio: 1/1;
		width: 100%;
		height: auto;
		border-radius: 20px;
	}
	
	/* KOMPARASI */
	.komparasi-sticky {
		top: 20px;
	}
	
	/* PRODUCT */
	.product-slider .product-list .product-list .slick-slider .product-panel .product-title a img {
		/* 	width: 50%; */
	}
	
	.product-slider .slick-arrow {
		top: 41%;
		width: 32px;
		height: 32px;
		font-size: 14px;
	}
	
	.product-slider .product-list .slick-slider {
		padding-bottom: 40px;
	}
	
	.product-slider .product-header {
		display: inline-flex;
		padding-top: 25px;
	}
	
	.product-slider .product-header i {
		padding: 12px;
		margin-left: 10px;
		font-size: 14px;
		width: 30px;
		height: 30px;
	}
	
	.product-slider .cat-name {
		font-size: 22px;
	}
	
	.btn-cari-port {
		text-align: center;
	}
	
	/* MAP	 */
	.map-style .jet-listing-grid.jet-listing {
		max-height: 400px;
	}
}